
Redmine - Patch #4065

Redmine.pm doesn't work with LDAPS and a non-standard port

2009-10-21 11:00 - Fabian Schlenz

Status: Closed Start date: 2009-10-21

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 1.0.3   

Description

To quote from the docs of Authen::Simple::LDAP:

port: Connection port, default to 389. May be overriden by host if host is a URI.

 So, using a LDAP server with Secure Connections (which force an URI to be used), the used port has to be appended to the URI.

Currently it isn't and the port setting is ignored, which makes it impossible to authenticate at the SVN server in this case.

This patch resolves this issue by simply appending the port to the URI.

Associated revisions

Revision 4309 - 2010-10-30 00:55 - Jean-Baptiste Barth

Fixed Redmine.pm not working with LDAPS on a non-standard port. #4065

Contributed by Fabian Schlenz

History

#1 - 2009-10-21 13:37 - Felix Schäfer

You might want to have a look at the patches attached to #3358 (works wonders for us ;-) ), or any other ticket relating to redmine.pm

#2 - 2010-09-30 17:30 - Felix Schäfer

- Target version set to 1.0.3

Eric, JB: looks sound to me, could one of you commit this?

The explanation is here http://cpansearch.perl.org/src/CHANSEN/Authen-Simple-LDAP-0.2/README under methods > ports: "May be overriden by

host if host is a URI.", i.e. when using ldaps, the host is given as a URI, which causes the perl thing to ignore the port setting.

#3 - 2010-10-30 00:49 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- % Done changed from 0 to 100

Applied in r4309, thans Fabian and sorry for the lag.

#4 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3
